# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Fax'
        db.create_table(u'fax_fax', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'fax_fax_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'fax_fax_last_modifier', null=True, to=orm['auth.User'])),
            ('status', self.gf('django.db.models.fields.IntegerField')(default='3', max_length=3)),
            ('job', self.gf('django.db.models.fields.CharField')(max_length=15, null=True, blank=True)),
            ('keywords', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('pages', self.gf('django.db.models.fields.PositiveSmallIntegerField')(max_length=3, null=True, blank=True)),
            ('date_required', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_sent', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('submitter', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'], null=True, blank=True)),
            ('notify_group', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.Group'], null=True, blank=True)),
            ('recipient', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('recipient_number', self.gf('django.db.models.fields.CharField')(max_length=16)),
            ('sender', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('sender_number', self.gf('django.db.models.fields.CharField')(max_length=16, null=True, blank=True)),
            ('duration', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('device', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['fax.Device'])),
            ('error', self.gf('django.db.models.fields.CharField')(max_length=150, null=True, blank=True)),
            ('subject', self.gf('django.db.models.fields.CharField')(max_length=300)),
            ('read', self.gf('django.db.models.fields.IntegerField')(default=0, null=True, blank=True)),
            ('priority', self.gf('django.db.models.fields.PositiveSmallIntegerField')(default=127, null=True, blank=True)),
            ('sent_by', self.gf('django.db.models.fields.CharField')(default='W', max_length=1)),
            ('status_message', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('is_public', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'fax', ['Fax'])

        # Adding model 'Document'
        db.create_table(u'fax_document', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'fax_document_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'fax_document_last_modifier', null=True, to=orm['auth.User'])),
            ('file', self.gf('django.db.models.fields.files.FileField')(max_length=100)),
            ('fax', self.gf('django.db.models.fields.related.ForeignKey')(related_name='documents', to=orm['fax.Fax'])),
        ))
        db.send_create_signal(u'fax', ['Document'])

        # Adding model 'Cover'
        db.create_table(u'fax_cover', (
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('fax', self.gf('django.db.models.fields.related.OneToOneField')(related_name='cover', unique=True, primary_key=True, to=orm['fax.Fax'])),
            ('to_company', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('from_company', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('to_person', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('from_person', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('pages', self.gf('django.db.models.fields.CharField')(max_length=2, null=True, blank=True)),
            ('subject', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('notes', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'fax', ['Cover'])

        # Adding model 'Device'
        db.create_table(u'fax_device', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, max_length=3, null=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'fax_device_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'fax_device_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
            ('description', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=12)),
            ('from_user', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('kpn_password', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('kpn_url', self.gf('django.db.models.fields.CharField')(max_length=80, null=True, blank=True)),
            ('pop_host', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('pop_user', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('pop_use_ssl', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('pop_password', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('smtp_host', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('smtp_user', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('smtp_password', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('smtp_port', self.gf('django.db.models.fields.IntegerField')(default=25, null=True, blank=True)),
            ('smtp_use_ssl', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'fax', ['Device'])

        # Adding model 'FaxNumber'
        db.create_table(u'fax_faxnumber', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, max_length=3, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'fax_faxnumber_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'fax_faxnumber_last_modifier', null=True, to=orm['auth.User'])),
            ('number', self.gf('django.db.models.fields.CharField')(unique=True, max_length=30, db_column='dnumber')),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('notify_mails', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('send_at_received_fax', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('send_at_sent_fax', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'fax', ['FaxNumber'])

        # Adding M2M table for field device on 'FaxNumber'
        m2m_table_name = db.shorten_name(u'fax_faxnumber_device')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('faxnumber', models.ForeignKey(orm[u'fax.faxnumber'], null=False)),
            ('device', models.ForeignKey(orm[u'fax.device'], null=False))
        ))
        db.create_unique(m2m_table_name, ['faxnumber_id', 'device_id'])

        # Adding model 'FaxPermission'
        db.create_table(u'fax_faxpermission', (
            (u'permission_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['auth.Permission'], unique=True, primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'fax_faxpermission_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'fax_faxpermission_last_modifier', null=True, to=orm['auth.User'])),
            ('number', self.gf('django.db.models.fields.CharField')(max_length=30, db_column='dnumber')),
        ))
        db.send_create_signal(u'fax', ['FaxPermission'])


    def backwards(self, orm):
        # Deleting model 'Fax'
        db.delete_table(u'fax_fax')

        # Deleting model 'Document'
        db.delete_table(u'fax_document')

        # Deleting model 'Cover'
        db.delete_table(u'fax_cover')

        # Deleting model 'Device'
        db.delete_table(u'fax_device')

        # Deleting model 'FaxNumber'
        db.delete_table(u'fax_faxnumber')

        # Removing M2M table for field device on 'FaxNumber'
        db.delete_table(db.shorten_name(u'fax_faxnumber_device'))

        # Deleting model 'FaxPermission'
        db.delete_table(u'fax_faxpermission')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'fax.cover': {
            'Meta': {'object_name': 'Cover'},
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'cover'", 'unique': 'True', 'primary_key': 'True', 'to': u"orm['fax.Fax']"}),
            'from_company': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'from_person': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'notes': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'pages': ('django.db.models.fields.CharField', [], {'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'subject': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'to_company': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'to_person': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'})
        },
        u'fax.device': {
            'Meta': {'object_name': 'Device'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'fax_device_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'from_user': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'kpn_password': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'kpn_url': ('django.db.models.fields.CharField', [], {'max_length': '80', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'fax_device_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'pop_host': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'pop_password': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'pop_use_ssl': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'pop_user': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'smtp_host': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'smtp_password': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'smtp_port': ('django.db.models.fields.IntegerField', [], {'default': '25', 'null': 'True', 'blank': 'True'}),
            'smtp_use_ssl': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'smtp_user': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '12'})
        },
        u'fax.document': {
            'Meta': {'ordering': "('ordering', 'date_create')", 'object_name': 'Document'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'fax_document_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'documents'", 'to': u"orm['fax.Fax']"}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'fax_document_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        u'fax.fax': {
            'Meta': {'ordering': "('-date_sent',)", 'object_name': 'Fax'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'fax_fax_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_required': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_sent': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'device': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['fax.Device']"}),
            'duration': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'error': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_public': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'job': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'keywords': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'fax_fax_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'notify_group': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.Group']", 'null': 'True', 'blank': 'True'}),
            'pages': ('django.db.models.fields.PositiveSmallIntegerField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'priority': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '127', 'null': 'True', 'blank': 'True'}),
            'read': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True', 'blank': 'True'}),
            'recipient': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'recipient_number': ('django.db.models.fields.CharField', [], {'max_length': '16'}),
            'sender': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'sender_number': ('django.db.models.fields.CharField', [], {'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'sent_by': ('django.db.models.fields.CharField', [], {'default': "'W'", 'max_length': '1'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': "'3'", 'max_length': '3'}),
            'status_message': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'subject': ('django.db.models.fields.CharField', [], {'max_length': '300'}),
            'submitter': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']", 'null': 'True', 'blank': 'True'})
        },
        u'fax.faxnumber': {
            'Meta': {'ordering': "['ordering']", 'object_name': 'FaxNumber'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'fax_faxnumber_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'device': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'numbers'", 'symmetrical': 'False', 'to': u"orm['fax.Device']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'fax_faxnumber_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'notify_mails': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30', 'db_column': "'dnumber'"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'send_at_received_fax': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_at_sent_fax': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'fax.faxpermission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'object_name': 'FaxPermission', '_ormbases': [u'auth.Permission']},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'fax_faxpermission_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'fax_faxpermission_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'number': ('django.db.models.fields.CharField', [], {'max_length': '30', 'db_column': "'dnumber'"}),
            u'permission_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['auth.Permission']", 'unique': 'True', 'primary_key': 'True'})
        }
    }

    complete_apps = ['fax']