from __future__ import unicode_literals

from django.utils import six
from django import template

register = template.Library()

@register.filter
def show_month(dt_or_string):
    # when using date_trunc_sql we get string or datetime according
    # to db backend, We anyhow want to return year month

    if isinstance(dt_or_string, six.string_types):
        return "%s %s" % (dt_or_string[5:7], dt_or_string[:4])
    else:
        return "%s" % (dt_or_string.strftime("%Y %B"))
